Get Customer

GET /customers/:id

If you have an id for a customer, you can use this endpoint to retrieve the customer.

The customer includes hasActiveMembership, nested memberships (the memberships the customer holds, with changeLog on each) and paidMemberships (the memberships the customer paid for). Pass ?includeBarcodes=true to include barcodes and physicalCards. See the Customer object.

Example Response

Copy
{ "id": "bd4a0997-39db-41d9-883a-cdfa83e2101f", "firstName": "Henny", ... }
‹ Previous
List Customers
Next ›
Create Customer